MP4(3)

NAME

MP4SetODProfileLevel - Sets the minimum MPEG-4 object descriptor profile and level required to render the contents of the file

SYNTAX

#include <mp4.h>

bool MP4SetODProfileLevel(
        MP4FileHandle hFile,
        u_int8_t profileLevel
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetODProfileLevel sets the minumum profile/level of MPEG-4 object descriptor support necessary to render the contents of the file.

ISO/IEC 14496-1:2001 MPEG-4 Systems defines the following values:
    0x00    Reserved
    0x01-0x7F    Reserved
    0x80-0xFD    User private
    0xFE    No object descriptor profile specified
    0xFF    No object descriptor required

SEE ALSO

MP4(3) MP4GetODProfileLevel(3)